summaryrefslogtreecommitdiffstats
path: root/system/fsarchiver/fsarchiver.SlackBuild
diff options
context:
space:
mode:
author Nishant Limbachia2010-05-13 00:40:19 +0200
committer Michiel van Wessem2010-05-13 00:40:19 +0200
commit148f530382b6814cb3d39de9b651488028e2e0f6 (patch)
treee07ecae8c83f2ccedcf33b988fa21e92aeadb876 /system/fsarchiver/fsarchiver.SlackBuild
parent814e90282a713923920c85f4acd9b9c4e0f5290c (diff)
downloadslackbuilds-148f530382b6814cb3d39de9b651488028e2e0f6.tar.gz
system/fsarchiver: Updated for version 0.6.7
Diffstat (limited to 'system/fsarchiver/fsarchiver.SlackBuild')
-rw-r--r--system/fsarchiver/fsarchiver.SlackBuild41
1 files changed, 12 insertions, 29 deletions
diff --git a/system/fsarchiver/fsarchiver.SlackBuild b/system/fsarchiver/fsarchiver.SlackBuild
index 16f1f71f90..9cfbe66fa8 100644
--- a/system/fsarchiver/fsarchiver.SlackBuild
+++ b/system/fsarchiver/fsarchiver.SlackBuild
@@ -1,9 +1,9 @@
#!/bin/sh
# Slackware Package Build Script for fsarchiver
-# Home Page http://www.fsarchiver.org/Main_Page
+# Home Page: http://www.fsarchiver.org/Main_Page
-# Copyright (c) 2009, Nishant Limbachia (nishant@mnspace.net)
+# Copyright (c) 2009-2010, Nishant Limbachia, Hoffman Estates, IL, USA [nishant__AT__mnspace__DOT__net)
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,11 +23,9 @@
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-#
-# Modified by the SlackBuilds.org project.
PRGNAM=fsarchiver
-VERSION=0.5.7
+VERSION=0.6.7
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -48,18 +46,7 @@ elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
fi
-set -e
-
-### [en|dis]able LZMA (XZ) support. This is not intended for 12.2
-### as XZ is not available for 12.2. Specifically added for folks
-### running -current or Slackware64.
-### run script with LZMA=yes fsarchiver.SlackBuild
-
-if [ ${LZMA:-no} = "no" ]; then
- DO_LZMA="dis"
-else
- DO_LZMA="en"
-fi
+set -e # Exit on most errors
rm -fr $TMP/$PRGNAM-$VERSION $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -73,14 +60,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-if [ "$ARCH" = "x86_64" ]; then
-# Fix hard coded lib paths
- sed -i -e "s|/usr/lib/libext2fs.a|/lib${LIBDIRSUFFIX}/libext2fs.a|g" \
- -e "s|/usr/lib/libcom_err.a|/lib${LIBDIRSUFFIX}/libcom_err.a|g" \
- -e "s|/usr/lib/|/usr/lib${LIBDIRSUFFIX}/|g" \
- configure
-fi
-
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -88,9 +67,7 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--localstatedir=/var \
--mandir=/usr/man \
- --enable-static \
- --${DO_LZMA}able-lzma \
- --disable-lzo
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
@@ -101,8 +78,14 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a ChangeLog COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+### compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}